import { useRef, useState } from 'react';
var useDevMode = function useDevMode() {
  var clickingRef = useRef({
    clicks: 0,
    lastClickTime: 0
  });
  var _useState = useState({
      isDevModeEnabled: false
    }),
    state = _useState[0],
    setState = _useState[1];
  var registerClick = function registerClick() {
    // If dev mode is already enabled, just skip
    if (state.isDevModeEnabled) return;

    // First, if the lastClickTime was more than 500 msecs ago, we reset the clicks
    if (clickingRef.current.lastClickTime + 250 < Date.now()) {
      clickingRef.current = {
        clicks: 0,
        lastClickTime: Date.now()
      };
      return;
    }

    // Second, if the lastClickTime was less than 500 msecs ago, we increment the clicks
    clickingRef.current = {
      clicks: clickingRef.current.clicks + 1,
      lastClickTime: Date.now()
    };

    // Third, if we just reached 20 clicks, display an alert
    if (clickingRef.current.clicks >= 20) {
      setState({
        isDevModeEnabled: true
      });
      /* eslint-disable no-console */
      console.log('💻 TaskManager has entered in Developer mode 💻');
      console.log('All work will be visible and displayed from now on');
      console.log('🧘🏽‍♀️ We wish you a peaceful debugging session 🧘🏽‍♀️');
    }
  };
  return {
    isDevModeEnabled: state.isDevModeEnabled,
    registerClick: registerClick
  };
};
export default useDevMode;